;$Id: eis_data__dn_to_ergs.pro 405 2010-07-04 11:21:38Z viggoh $
; 30-Apr-2009 A. Gardini  Fixed 1 shift error pixel.
; 30-Apr-2009 A. Gardini  Set keywords to eis_cal.
function eis_data::dn_to_ergs,iwin,photons=photons,init=init
  if n_elements(init) eq 1 then return,-1

  time_obs=(self->gethdr())->getdate_obs()
  slit_ind=self->getinfo('slit_ind')
  cal = obj_new('eis_cal',/gen_aeff,time_obs=time_obs,slit_ind=slit_ind)
  self->getwin,iwin,dn,pos
  if pos[0] gt 2147 then begin 
    detector='A'
    pos[0]=pos[0]-2148
    lambda=((cal->getlambda()).scale_a)[pos[0]:pos[0]+pos[1]-1]
  endif else begin
    detector='B'
    lambda=((cal->getlambda()).scale_b)[pos[0]:pos[0]+pos[1]-1]
  endelse
  aeff = cal->getaeff(detector)
  effarea=interpol(aeff.eff,aeff.lambda,lambda,/spline)
  sub=where(lambda lt aeff.lambda[0] or lambda gt aeff.lambda[n_elements(aeff.lambda)-1])
  if sub[0] ne -1 then effarea[sub]=1.e-20
  intensity = cal->dn_to_photon(lambda,dn)
  if n_elements(photons) eq 0 then begin
    intensity = cal->photon_to_ergs(lambda*effearea,intensity)
  endif
  obj_destroy,cal
  return,intensity
end
