; reads ccsds file. Calculates line moments. 
; Writes filename, <I>, line pos, cmirr pos, mirr initial pos
;
pro cal_resp, ccsdsfile, lu = lu, iwin = iwin, lamtype = lamtype, $
              line_def = line_def
  if n_params() eq 0 then begin
    message,$
      'cal_resp, ccsdsfile, lu = lu, iwin = iwin, lamtype = lamtype',/info
    return
  endif
  if n_elements(lamtype) eq 0 then lamtype='pix'
  if (lamtype ne 'pix' or lamtype ne 'wav') then lamtype='pix'
  if n_elements(iwin) eq 0 then iwin = 0
; read file
  data = obj_new('eis_data', ccsdsfile, datasource='ccsds',hdr=hdr)
;  hdr= data->gethdr()

  eis_getmoments, ccsdsfile, iwin, int, vel, wid, lamtype = lamtype, $
                  line_def = line_def, /ccsds

  imean = mean(int)
  vmean = mean(vel)
  wmean = mean(wid)

  exp_info = hdr[0]->getexp_info()
  cmirr = exp_info.cmirr_pos
  fmirr = exp_info.fmirr_pos

    print, 'Intensity:   ',imean 
    print, 'CCD pos:     ',vmean 
    print, 'Line width:  ',wmean
    print, 'Coarse mirr: ', cmirr
    print, 'Fine mirr:   ', fmirr
  if n_elements(lu) ne 0 then $
     printf, lu, cmirr, fmirr, imean, vmean, wmean
  return
end
