; This file contains the data need to do absolute calibration, define the wavelength scale
; and defines the various numbers needed for fine mirror calibration and the like
; it consists of idl statements that are executed by the eis_calibration object as part
; of its init method
; Viggo Hansteen 17 November  2006
;                29 December  2006 - put in new offsets in position
; A. Gardini     26 March     2008 - renamed eis_cal_response.pro
; A. Gardini     23 September 2008 - added gainerr and aeffrelerr
;
; absolute calibration
;
  aeff_version=4
  aeff_fileroot='EIS_EffArea_'
  aeffrelerr=0.22 ; J. Mariska 9/2008. Due to poor measurements of the CCD QE
  sr_factor=(725./1.496e8)^2
  ergs_to_photons=6.626e-27*2.998e10*1.e8
  gain=6.3     ; Hiro 6.45 8/2/2007 changed to 6.3 by Hiro & Louisa 15/4/2007
  gainerr=0.15
  phot_to_elec=12398.5/3.65
;
;define wavelength scale courtesy of Charlie Brown cbrown@ssd5.nrl.navy.mil 16 November 2006.
;
  npix = 2148
  lambda0_a = 199.9389    ; reference wavelength, pixel 0 (including scan pixels detector A)
  lambda0_b = 166.131     ; reference wavelength, pixel 0 (including scan pixels detector B)
  disp_a = 0.022332       ; dispersion, detector A (long wavelength)
  disp_b = 0.022317       ; dispersion, detector B (short wavelength)
  dispsq_a = -1.329e-8    ; dispersion, quadratic term, in wavelength equation, detector A (long)
  dispsq_b = -1.268e-8    ; dispersion, quadratic term, in wavelength equation, detector B (short)
;
; pointing info
;
  xmidmirrpos=1800        ; home position of the fine mirror reset to 1800 from 1200 on 08/02/2007
  xmidcmirrpos=43703l     ; home position of the coarse mirror (NB! this is a long)
  ymidslitpos=512         ; mid position on the slit (should be 511.5?)
  xoffsetut=-129.6        ; offset between AOCS-SOT FOV and EIS midpoint measured in units of 
  yoffsetut=-36.3         ; No longer XRT pixels, but arcsec - taken from The List of Solar-B "Hinode" 
                          ; wide FITS Keywords, Dec 25 2006 Masumi Shimojo 
  xrtpixel=1.04           ; 
;
  fmirr_ss = 0.1248       ; fine mirror step size in arcsec (Khalid says 0.12299)
                          ; number should be multiplied by 2 to get image motion 
                          ; (Hiro 0.1203 from observation 8/2/2007) 
  cmirr_ss = 0.032862     ; coarse mirror step size in arcsec according to Hiro's measurment
                          ; after the first coarse mirror move on 22/01/2007 based on 
                          ; a move from the home encoder position of 43703 to 47659 being
                          ; equivalent to 130 arcsec
  yoff_sw = [-32.-17.0,8.72e-2]    ; yoffsets as linear function of wavelength Kamio-san and Hiro-san
  yoff_lw = [-32.-3.49,7.68e-02]   ; "Y-offsets of EIS spectra" 18/8/2008
 

  
