; script to create fits files.
; Either you give a file name (including directory tree)
; or you giv a directory name, in which case a list of 
; ccsds files will be given, and FITS files will be produced for each 
; CCSDS file.
 
; calls eis_mkfits.

; input: Telemetry file name
;        or directory
; Outputs: Fits file
;
; Oivind Wikstol 12-Sep-2005
;
pro eis_mkfits_script, file = file, dir = dir

  if n_elements(file) eq 0 and n_elements(dir) eq 0 then begin
    print,'eis_mkfits_script, file=file,dir=dir'
    return
  endif

  if n_elements(file) ne 0 then begin
    data=obj_new('eis_data', file, datasource='ccsds',hdr=hdr)
    exp_info = (hdr[0])->getexp_info()
    seq_id = exp_info.seq_id
    rast_id = exp_info.rast_id

    plan = obj_new('eis_plan')
    ;plan = obj_new('eis_plan', seq_id, rast_id)
    eis_mkfits, data, hdr, plan = plan
    return
  endif

  if n_elements(dir) ne 0 then begin
    dirsep=get_delim()
    if strmid(dir, 0,1, /reverse_offset) ne dirsep then dir = dir+dirsep
    sdir=dir+'*'
    flist=file_search(sdir, count=nfiles)
    for i =0, nfiles - 1 do begin
      file=flist[i]
      data=obj_new('eis_data', file, datasource='ccsds',hdr=hdr)
      exp_info = (hdr[0])->getexp_info()
      seq_id = exp_info.seq_id
      rast_id = exp_info.rast_id
      ;plan = obj_new('eis_plan', seq_id, rast_id)
      plan = obj_new('eis_plan')
      eis_mkfits, data, hdr, plan = plan
    endfor
    return
  endif
end
