function eis_cal::photon_to_ergs,lambda,photons,exp=exp,slitsize=slitsize, $
                     days_since_launch=days_since_launch,init=init
  if n_elements(init) eq 1 then return,-1
; includes geometry and dispersion
  if n_elements(exp) eq 0 then exp=fltarr(nrast)+1.0
  if n_elements(slitsize) eq 0 then slitsize=1.0 
  if n_elements(days_since_launch) eq 0 then days_since_launch=0.0
  sz=size(photons)
  intensity=photons
  case sz[0] of 
    3: begin
      nrast=sz[3]
      nslit=sz[2]
       end
    2: begin
      nrast=1
      nslit=sz[2]
       end
    1: begin
      nrast=1
      nslit=1
       end
    else: begin
      message,'max number of dimensions in photons is 3',/info
      return,intensity*0.-1
          end
  endcase
  if slitsize gt 0.0 then begin
    disp = self->getdispersion(lambda)
    lam=lambda*disp#(intarr(nslit)+1.)
  endif else begin
    disp = fltarr(n_elements(lambda))+1.0
    lam = 0.5*(max(lambda)+min(lambda))*disp#(intarr(nslit)+1)
  endelse
  for irast=0,nrast-1 do begin
    intensity[*,*,irast]=self.ergs_to_photons/self.sr_factor/lam*photons[*,*,irast] $
                                /exp[irast]/abs(slitsize)
  endfor
  
  sens_loss=self->sensitivity_loss(abs(days_since_launch))
;
; negative number of days since launch when undoing previous
; correction
;
  if days_since_launch gt 0.0 then intensity=intensity/sens_loss else intensity=intensity*sens_loss

  return,intensity
end
