;+
; NAME:
;       eis_data__check_ti
;
; PURPOSE:
;       Check if the shutter opening time is set to 0: this usually means
;       that that particular observation was corrupted and data are missing. 
;
; CATEGORY:
;       Data analysis SW
;
; CALLING SEQUENCE:
;       ti_list=data->check_ti 
;
; INPUTS:
;
; KEYWORD PARAMETERS:
;
; OUTPUTS:
;       ti_list: Boolean array containing 0 where ti_1 is equal to 0, and 1
;                elsewhere.
;
; CALLS:
;
; COMMON BLOCKS:
;
; PROCEDURE:
;
; RESTRICTIONS:
;
; MODIFICATION HISTORY:
;        2-Jul-2008  A. Gardini     - Version 1.0
;        3-Jul-2008  A. Gardini     - Added the init keyword
;
;-
function eis_data::check_ti,init=init
  if n_elements(init) eq 1 then return,-1
  ti_list=intarr(self->getnexp())
  ti_list[*]=1
  miss=where(*(self->getaux_data()).ti_1 eq 0,ct)
  if ct gt 0 then ti_list[miss]=0
  return,ti_list
end
