;+
; NAME:
;       HW_CAL__DEFINE
;
; PURPOSE:
;       HW_CAL__DEFINE defines the class HW_CAL. Objects of this
;       class contains calibration data and routines 
;       for the EIS instrument on SOLAR-B.
;
; CATEGORY:
;       Hansteen/Wikstol Data analysis SW
;
; CALLING SEQUENCE:
;       The HW_CAL__DEFINE procedure is not called directly. An
;       object of class HW_CAL is created with the following
;       statement:
;                 cal = obj_new('hw_cal')
; INPUTS:
;
; KEYWORD PARAMETERS:
;
; OUTPUTS:
;       Objects of type HW_CAL. The object has the following
;       instances:
;                caldir: calibration data directory 
;                        (e.g. /ssw/solarb/eis/data/cal/)
;                dc_file: File name of dark current data
;                ff_file: File name of flat field
;                aeff_file: Name of file containing effective area data
;
; CALLS:
;
; COMMON BLOCKS:
;
; PROCEDURE:
;
; RESTRICTIONS:
;
;
; MODIFICATION HISTORY:
;       03-March-2004: Oivind Wikstol. First version.
;
;-
function hw_cal::init

end

function hw_cal::getcaldir
  return, self.caldir
end

pro hw_cal::setcaldir, caldir
  self.caldir = caldir
end

function hw_cal::getdc_file
    return, self.dc_file
end

pro hw_cal::setdc_file, dc_file
  self.dc_file = dc_file
end

function hw_cal::getff_file
  return, self.ff_file
end

pro hw_cal::setff_file, ff_file
  self.ff_file = ff_file
end

function hw_cal::getaeff_file
  return, self.aeff_file
end

pro hw_cal::setaeff_file, aeff_file
  self.aeff_file = aeff_file
end

pro hw_cal__define

  struct = {eis_cal, $
            caldir:'', $
            dc_file:'', $
            ff_file:'', $
            aeff_file:''}
end
