;+
; NAME:
;       HW_PLAN__DEFINE
;
; PURPOSE:
;       The hw_plan object is the general superclass for plan
;       class objects used by the Hansteen/Wikstl QL/data analysis
;       SW. The plan object contains data that is aqcuired from 
;       an instruments planning tool. These data should be found 
;       in the main header unit (HDU) of the fits-files 
;
;       For a specific instrument, a new class must be defined
;       (i.e. eis_plan__define.pro for SOLAR-B EIS instrument). This class
;       inherits the hw_plan superclass. The plan class must
;       provide a read-routine for reading the specific plan
;       (i.e. eis_plan__read.pro).
;
;
; CATEGORY:
;       Hansteen/Wikstol Data analysis SW
;
; CALLING SEQUENCE:
;
;
; INPUTS:
;      None
;
; KEYWORD PARAMETERS:
;
;
; OUTPUTS:
;       Objects of class HW_PLAN includes the following parameters:
;
; CALLS:
;
;
; COMMON BLOCKS:
;
;
; PROCEDURE:
;       Defines the structure of plan class objects.
;
; RESTRICTIONS:
;
;
; MODIFICATION HISTORY:
;       28-Nov-2002: Oivind Wikstol
;-
function hw_plan::init
  self.title='HW Plan'
  return,1
end
pro hw_plan::read,file
end






























































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































function hw_plan::gettitle
  return, self.title
end

pro hw_plan__define
  struct={hw_plan, $
          title:' '}
end
