pro eis_synspec::eisgenerate,det,region,title=title,init=init
  if n_elements(init) eq 1 then return
  if n_elements(title) eq 0 then title=self.title
  data=obj_new('eis_data')
  lambda=data->getlambda()
  obj_destroy,data
  case det of
  'a': scale=lambda.scale_a
  'b': scale=lambda.scale_b
  else: message,'no such detector '+det
  endcase
  case region of
  'ch': begin
        self.pressure=1.e14
        self.dem_name='dem/coronal_hole.dem'
        end
  'qs': begin
        self.pressure=1.e15
        self.dem_name='dem/quiet_sun.dem'
        end
  'ar': begin
        self.pressure=1.e16
        self.dem_name='dem/active_region.dem'
        end
  'fl': begin
        self.pressure=1.e17
        self.dem_name='dem/flare.dem'
        end
  'fle': begin
        self.pressure=1.e17
        self.dem_name='dem/flare_ext.dem'
        end
  'pr': begin
        self.pressure=1.e14
        self.dem_name='dem/prominence.dem'
        end
  else: message,'no such region '+region
  endcase
  self.synthspec_name='spec_'+region+'_'+det+'.genx'
  message,'generating '+self.eisdb_path+self.synthspec_name+'  '+title,/info
  self->generate,scale,name=self.eisdb_path+self.synthspec_name,title=title
  return
end
