pro eis_synspec::getphotons,lambda,photons,dn,id=id, phot_peak=phot_peak,dn_peak=dn_peak,init=init
  if n_elements(init) eq 1 then return
  lambda=(*self.spec).lambda
  spectrum=(*self.spec).spectrum
  cal = obj_new('eis_cal',/gen_aeff)
  aeff = cal->getaeff(self.detector)
  effarea=interpol(aeff.eff,aeff.lambda,lambda,/spline)
  effarea[where(lambda lt aeff.lambda[0] or lambda gt aeff.lambda[n_elements(aeff.lambda)-1])]=0.
  photons = cal->ergs_to_photon(lambda,spectrum)*effarea
  dn = cal->photon_to_dn(lambda,photons)
  phot_peak=fltarr(n_elements((*self.spec).lines))
  dn_peak=phot_peak
  id=create_struct('snote',(*self.spec).lines.snote,'wvl',(*self.spec).lines.wvl,'peak',(*self.spec).lines.peak,'tmax',(*self.spec).lines.tmax)
  for i=0,n_elements(id.snote)-1 do begin
    phot_peak[i]=interpol(aeff.eff,aeff.lambda,id.wvl[i],/spline)*cal->ergs_to_photon(id.wvl[i],id.peak[i])
    dn_peak[i]=cal->photon_to_dn(id.wvl[i],phot_peak[i])
  endfor
  obj_destroy,cal
  return
end
